=== modified file 'LICENSE'
--- LICENSE	2012-01-03 07:15:56 +0000
+++ LICENSE	2011-10-16 08:16:47 +0000
@@ -1,4 +1,4 @@
-Launchpad is Copyright 2004-2012 Canonical Ltd.
+Launchpad is Copyright 2004-2011 Canonical Ltd.
 
 Canonical Ltd ("Canonical") distributes the Launchpad source code
 under the GNU Affero General Public License, version 3 ("AGPLv3").

=== modified file 'lib/lp/app/javascript/listing_navigator.js'
--- lib/lp/app/javascript/listing_navigator.js	2012-01-05 20:54:29 +0000
+++ lib/lp/app/javascript/listing_navigator.js	2011-12-15 17:09:48 +0000
@@ -16,19 +16,6 @@
     return new Y.NodeList([]);
 }
 
-/**
- * If there is no context (say /bugs/+bugs) we need to generate a weblink for
- * the lp.client to use for things. This is a helper to take the current url
- * and try to generate a likely web_link value to build a url off of.
- */
-function likely_web_link() {
-    var url = location.href;
-    var cut_at = url.indexOf('+');
-
-    // make sure we trim the trailing / off the web link we generate
-    return url.substr(0, cut_at - 1);
-}
-
 
 /**
  * Constructor.
@@ -370,18 +357,6 @@
             }
         };
         var context = this.get_current_batch().context;
-
-        if (!context) {
-            // try to see if there is no context we can fake the object in
-            // order to pass through
-            context = new Y.lp.client.Entry(
-                new Y.lp.client.Launchpad(),
-                {
-                    'web_link': likely_web_link()
-                }
-            );
-        }
-
         var view_name = this.get_current_batch().view_name;
 
         if (Y.Lang.isValue(this.get('io_provider'))) {

=== modified file 'lib/lp/app/stories/basics/copyright.txt'
--- lib/lp/app/stories/basics/copyright.txt	2012-01-03 07:15:56 +0000
+++ lib/lp/app/stories/basics/copyright.txt	2011-01-05 15:15:06 +0000
@@ -5,11 +5,11 @@
   >>> browser.open('http://launchpad.dev/')
   >>> browser.getLink('Take the tour').click()
   >>> print extract_text(find_tag_by_id(browser.contents, 'footer-navigation'))
-  Next...&copy; 2004-2012 Canonical Ltd...
+  Next...&copy; 2004-2011 Canonical Ltd...
 
 The main template.
 
   >>> browser.open('http://launchpad.dev')
   >>> print extract_text(find_tag_by_id(browser.contents, 'footer'))
-  &copy; 2004-2012 Canonical Ltd.
+  &copy; 2004-2011 Canonical Ltd.
   ...

=== modified file 'lib/lp/app/templates/base-layout-macros.pt'
--- lib/lp/app/templates/base-layout-macros.pt	2012-01-03 07:15:56 +0000
+++ lib/lp/app/templates/base-layout-macros.pt	2011-12-29 05:29:36 +0000
@@ -246,7 +246,7 @@
     </div>
 
     <div class="colophon">
-      &copy; 2004-2012
+      &copy; 2004-2011
       <a href="http://canonical.com/">Canonical&nbsp;Ltd.</a>
       &nbsp;&bull;&nbsp;
       <a tal:attributes="href string:${rooturl}legal">Terms of use</a>

=== modified file 'lib/lp/app/tour/api'
--- lib/lp/app/tour/api	2012-01-03 07:15:56 +0000
+++ lib/lp/app/tour/api	2011-01-04 12:41:16 +0000
@@ -131,7 +131,7 @@
                 <a href="feature-tracking" accesskey="g" tabindex="5">Next</a>
             </li>
              <li class="copyright">
-                &copy; 2004-2012 Canonical Ltd. <a href="https://help.launchpad.net/Legal" accesskey="h" tabindex="6">Terms of Use</a> &#58; <a href="https://help.launchpad.net/Feedback" accesskey="i" tabindex="7">Feedback</a> &#58; <a href="https://answers.launchpad.net/launchpad-project/+faqs" accesskey="j" tabindex="8">FAQ</a>
+                &copy; 2004-2011 Canonical Ltd. <a href="https://help.launchpad.net/Legal" accesskey="h" tabindex="6">Terms of Use</a> &#58; <a href="https://help.launchpad.net/Feedback" accesskey="i" tabindex="7">Feedback</a> &#58; <a href="https://answers.launchpad.net/launchpad-project/+faqs" accesskey="j" tabindex="8">FAQ</a>
             </li>
         </ul>
     </div>

=== modified file 'lib/lp/app/tour/branch-hosting-tracking'
--- lib/lp/app/tour/branch-hosting-tracking	2012-01-03 07:15:56 +0000
+++ lib/lp/app/tour/branch-hosting-tracking	2011-01-04 11:49:37 +0000
@@ -127,7 +127,7 @@
                 <a href="translation" accesskey="g" tabindex="5" title="Read about software translation in Launchpad">Next</a>
             </li>
             <li class="copyright">
-                &copy; 2004-2012 Canonical Ltd. <a href="https://help.launchpad.net/Legal" accesskey="h" tabindex="6">Terms of Use</a> &#58; <a href="https://help.launchpad.net/Feedback" accesskey="i" tabindex="7">Feedback</a> &#58; <a href="https://answers.launchpad.net/launchpad-project/+faqs" accesskey="j" tabindex="8">FAQ</a>
+                &copy; 2004-2011 Canonical Ltd. <a href="https://help.launchpad.net/Legal" accesskey="h" tabindex="6">Terms of Use</a> &#58; <a href="https://help.launchpad.net/Feedback" accesskey="i" tabindex="7">Feedback</a> &#58; <a href="https://answers.launchpad.net/launchpad-project/+faqs" accesskey="j" tabindex="8">FAQ</a>
             </li>
         </ul>
     </div>

=== modified file 'lib/lp/app/tour/bugs'
--- lib/lp/app/tour/bugs	2012-01-03 07:15:56 +0000
+++ lib/lp/app/tour/bugs	2011-01-04 11:49:37 +0000
@@ -134,7 +134,7 @@
                 <a href="branch-hosting-tracking" accesskey="g" tabindex="5" title="Read about code hosting and review in Launchpad">Next</a>
             </li>
             <li class="copyright">
-                &copy; 2004-2012 Canonical Ltd. <a href="https://help.launchpad.net/Legal" accesskey="i" tabindex="7">Terms of Use</a> &#124; <a href="https://help.launchpad.net/Feedback" accesskey="j" tabindex="8">Feedback</a> &#124; <a href="https://answers.launchpad.net/launchpad-project/+faqs" accesskey="k" tabindex="9">FAQ</a>
+                &copy; 2004-2011 Canonical Ltd. <a href="https://help.launchpad.net/Legal" accesskey="i" tabindex="7">Terms of Use</a> &#124; <a href="https://help.launchpad.net/Feedback" accesskey="j" tabindex="8">Feedback</a> &#124; <a href="https://answers.launchpad.net/launchpad-project/+faqs" accesskey="k" tabindex="9">FAQ</a>
             </li>
         </ul>
     </div>

=== modified file 'lib/lp/app/tour/community'
--- lib/lp/app/tour/community	2012-01-03 07:15:56 +0000
+++ lib/lp/app/tour/community	2011-01-04 11:49:37 +0000
@@ -113,7 +113,7 @@
                 <a href="ppa" accesskey="g" tabindex="5" title="Read about building and distributing Ubuntu packages">Next</a>
             </li>
             <li class="copyright">
-                &copy; 2004-2012 Canonical Ltd. <a href="https://help.launchpad.net/Legal" accesskey="h" tabindex="6">Terms of Use</a> &#58; <a href="https://help.launchpad.net/Feedback" accesskey="i" tabindex="7">Feedback</a> &#58; <a href="https://answers.launchpad.net/launchpad-project/+faqs" accesskey="j" tabindex="8">FAQ</a>
+                &copy; 2004-2011 Canonical Ltd. <a href="https://help.launchpad.net/Legal" accesskey="h" tabindex="6">Terms of Use</a> &#58; <a href="https://help.launchpad.net/Feedback" accesskey="i" tabindex="7">Feedback</a> &#58; <a href="https://answers.launchpad.net/launchpad-project/+faqs" accesskey="j" tabindex="8">FAQ</a>
             </li>
         </ul>
     </div>

=== modified file 'lib/lp/app/tour/community-support'
--- lib/lp/app/tour/community-support	2012-01-03 07:15:56 +0000
+++ lib/lp/app/tour/community-support	2011-01-04 11:49:37 +0000
@@ -106,7 +106,7 @@
                 <a href="api" tabindex="5" accesskey="g">Next</a>
             </li>
             <li class="copyright">
-                &copy; 2004-2012 Canonical Ltd. <a href="https://help.launchpad.net/Legal" accesskey="h" tabindex="6">Terms of Use</a> &#58; <a href="https://help.launchpad.net/Feedback" accesskey="i" tabindex="7">Feedback</a> &#58; <a href="https://answers.launchpad.net/launchpad-project/+faqs" accesskey="j" tabindex="8">FAQ</a>
+                &copy; 2004-2011 Canonical Ltd. <a href="https://help.launchpad.net/Legal" accesskey="h" tabindex="6">Terms of Use</a> &#58; <a href="https://help.launchpad.net/Feedback" accesskey="i" tabindex="7">Feedback</a> &#58; <a href="https://answers.launchpad.net/launchpad-project/+faqs" accesskey="j" tabindex="8">FAQ</a>
             </li>
         </ul>
     </div>

=== modified file 'lib/lp/app/tour/feature-tracking'
--- lib/lp/app/tour/feature-tracking	2012-01-03 07:15:56 +0000
+++ lib/lp/app/tour/feature-tracking	2011-01-04 11:49:37 +0000
@@ -88,7 +88,7 @@
                 <a href="release-management" accesskey="g" tabindex="5" title="Read about managing software releases">Next</a>
             </li>
             <li class="copyright">
-                &copy; 2004-2012 Canonical Ltd. <a href="https://help.launchpad.net/Legal" accesskey="h" tabindex="6">Terms of Use</a> &#58; <a href="https://help.launchpad.net/Feedback" accesskey="i" tabindex="7">Feedback</a> &#58; <a href="https://answers.launchpad.net/launchpad-project/+faqs" accesskey="j" tabindex="8">FAQ</a>
+                &copy; 2004-2011 Canonical Ltd. <a href="https://help.launchpad.net/Legal" accesskey="h" tabindex="6">Terms of Use</a> &#58; <a href="https://help.launchpad.net/Feedback" accesskey="i" tabindex="7">Feedback</a> &#58; <a href="https://answers.launchpad.net/launchpad-project/+faqs" accesskey="j" tabindex="8">FAQ</a>
             </li>
         </ul>
     </div>

=== modified file 'lib/lp/app/tour/index'
--- lib/lp/app/tour/index	2012-01-03 07:15:56 +0000
+++ lib/lp/app/tour/index	2011-01-04 11:49:37 +0000
@@ -174,7 +174,7 @@
                 <a href="bugs" accesskey="l" tabindex="10"  title="Read about bug tracking in Launchpad">Next</a>
             </li>
             <li class="copyright">
-                &copy; 2004-2012 Canonical Ltd. <a href="https://help.launchpad.net/Legal" accesskey="i" tabindex="7">Terms of Use</a> &#124; <a href="https://help.launchpad.net/Feedback" accesskey="j" tabindex="8">Feedback</a> &#124; <a href="https://answers.launchpad.net/launchpad-project/+faqs" accesskey="k" tabindex="9">FAQ</a>
+                &copy; 2004-2011 Canonical Ltd. <a href="https://help.launchpad.net/Legal" accesskey="i" tabindex="7">Terms of Use</a> &#124; <a href="https://help.launchpad.net/Feedback" accesskey="j" tabindex="8">Feedback</a> &#124; <a href="https://answers.launchpad.net/launchpad-project/+faqs" accesskey="k" tabindex="9">FAQ</a>
             </li>
         </ul>
     </div>

=== modified file 'lib/lp/app/tour/join-launchpad'
--- lib/lp/app/tour/join-launchpad	2012-01-03 07:15:56 +0000
+++ lib/lp/app/tour/join-launchpad	2011-01-04 11:49:37 +0000
@@ -114,7 +114,7 @@
                 <a href="index" title="Return to the start of the Launchpad tour" accesskey="g" tabindex="5">Start</a>
             </li>
              <li class="copyright">
-                &copy; 2004-2012 Canonical Ltd. <a href="https://help.launchpad.net/Legal" accesskey="h" tabindex="6">Terms of Use</a> &#58; <a href="https://help.launchpad.net/Feedback" accesskey="i" tabindex="7">Feedback</a> &#58; <a href="https://answers.launchpad.net/launchpad-project/+faqs" accesskey="j" tabindex="8">FAQ</a>
+                &copy; 2004-2011 Canonical Ltd. <a href="https://help.launchpad.net/Legal" accesskey="h" tabindex="6">Terms of Use</a> &#58; <a href="https://help.launchpad.net/Feedback" accesskey="i" tabindex="7">Feedback</a> &#58; <a href="https://answers.launchpad.net/launchpad-project/+faqs" accesskey="j" tabindex="8">FAQ</a>
             </li>
         </ul>
     </div>

=== modified file 'lib/lp/app/tour/ppa'
--- lib/lp/app/tour/ppa	2012-01-03 07:15:56 +0000
+++ lib/lp/app/tour/ppa	2011-01-04 11:49:37 +0000
@@ -113,7 +113,7 @@
                 <a href="community-support" accesskey="g" tabindex="5">Next</a>
             </li>
             <li class="copyright">
-                &copy; 2004-2012 Canonical Ltd. <a href="https://help.launchpad.net/Legal" accesskey="h" tabindex="6">Terms of Use</a> &#58; <a href="https://help.launchpad.net/Feedback" accesskey="i" tabindex="7">Feedback</a> &#58; <a href="https://answers.launchpad.net/launchpad-project/+faqs" accesskey="j" tabindex="8">FAQ</a>
+                &copy; 2004-2011 Canonical Ltd. <a href="https://help.launchpad.net/Legal" accesskey="h" tabindex="6">Terms of Use</a> &#58; <a href="https://help.launchpad.net/Feedback" accesskey="i" tabindex="7">Feedback</a> &#58; <a href="https://answers.launchpad.net/launchpad-project/+faqs" accesskey="j" tabindex="8">FAQ</a>
             </li>
         </ul>
     </div>

=== modified file 'lib/lp/app/tour/release-management'
--- lib/lp/app/tour/release-management	2012-01-03 07:15:56 +0000
+++ lib/lp/app/tour/release-management	2011-01-04 11:49:37 +0000
@@ -96,7 +96,7 @@
                 <a href="join-launchpad" title="Read about commercial subscriptions and free access to Launchpad" accesskey="g" tabindex="5" title="Read about commercial subscriptions and free access to Launchpad">Next</a>
             </li>
              <li class="copyright">
-                &copy; 2004-2012 Canonical Ltd. <a href="https://help.launchpad.net/Legal" accesskey="h" tabindex="6">Terms of Use</a> &#58; <a href="https://help.launchpad.net/Feedback" accesskey="i" tabindex="7">Feedback</a> &#58; <a href="https://answers.launchpad.net/launchpad-project/+faqs" accesskey="j" tabindex="8">FAQ</a>
+                &copy; 2004-2011 Canonical Ltd. <a href="https://help.launchpad.net/Legal" accesskey="h" tabindex="6">Terms of Use</a> &#58; <a href="https://help.launchpad.net/Feedback" accesskey="i" tabindex="7">Feedback</a> &#58; <a href="https://answers.launchpad.net/launchpad-project/+faqs" accesskey="j" tabindex="8">FAQ</a>
             </li>
         </ul>
     </div>

=== modified file 'lib/lp/app/tour/translation'
--- lib/lp/app/tour/translation	2012-01-03 07:15:56 +0000
+++ lib/lp/app/tour/translation	2011-01-04 11:49:37 +0000
@@ -113,7 +113,7 @@
                 <a href="community" accesskey="g" tabindex="5" title="Read about mailing lists and teams in Launchpad">Next</a>
             </li>
             <li class="copyright">
-                &copy; 2004-2012 Canonical Ltd. <a href="https://help.launchpad.net/Legal" accesskey="h" tabindex="6">Terms of Use</a> &#58; <a href="https://help.launchpad.net/Feedback" accesskey="i" tabindex="7">Feedback</a> &#58; <a href="https://answers.launchpad.net/launchpad-project/+faqs" accesskey="j" tabindex="8">FAQ</a>
+                &copy; 2004-2011 Canonical Ltd. <a href="https://help.launchpad.net/Legal" accesskey="h" tabindex="6">Terms of Use</a> &#58; <a href="https://help.launchpad.net/Feedback" accesskey="i" tabindex="7">Feedback</a> &#58; <a href="https://answers.launchpad.net/launchpad-project/+faqs" accesskey="j" tabindex="8">FAQ</a>
             </li>
         </ul>
     </div>

=== modified file 'lib/lp/bugs/browser/bugtask.py'
--- lib/lp/bugs/browser/bugtask.py	2012-01-05 18:12:05 +0000
+++ lib/lp/bugs/browser/bugtask.py	2011-12-30 08:03:42 +0000
@@ -4233,9 +4233,6 @@
         """Return the heading to search all Bugs."""
         return "Search all bug reports"
 
-    def search_macro_title(self):
-        return u'Search all bugs'
-
     @property
     def label(self):
         return self.getSearchPageHeading()

=== modified file 'lib/lp/bugs/browser/tests/test_bugs.py'
--- lib/lp/bugs/browser/tests/test_bugs.py	2012-01-05 18:12:05 +0000
+++ lib/lp/bugs/browser/tests/test_bugs.py	2012-01-01 02:58:52 +0000
@@ -5,15 +5,10 @@
 
 __metaclass__ = type
 
-from contextlib import contextmanager
 from zope.component import getUtility
 
 from lp.bugs.interfaces.malone import IMaloneApplication
 from lp.bugs.publisher import BugsLayer
-from lp.testing import (
-    set_feature_flag,
-    feature_flags,
-    )
 from lp.services.webapp.publisher import canonical_url
 from lp.testing import (
     celebrity_logged_in,
@@ -24,14 +19,6 @@
 from lp.testing.views import create_initialized_view
 
 
-@contextmanager
-def dynamic_listings():
-    """Context manager to enable new bug listings."""
-    with feature_flags():
-        set_feature_flag(u'bugs.dynamic_bug_listings.enabled', u'on')
-        yield
-
-
 class TestMaloneView(TestCaseWithFactory):
     """Test the MaloneView for the Bugs application."""
     layer = DatabaseFunctionalLayer
@@ -103,14 +90,3 @@
         self.assertIn(picker_vocab, text)
         focus_script = "setFocusByName('field.searchtext')"
         self.assertIn(focus_script, text)
-
-    def test_search_all_bugs_rendering(self):
-        with dynamic_listings():
-            view = create_initialized_view(
-                self.application,
-                '+bugs',
-                rootsite='bugs')
-            content = view.render()
-
-        # we should get some valid content out of this
-        self.assertIn('Search all bugs', content)

=== modified file 'lib/lp/services/mailman/monkeypatches/lp-mhonarc-common.mrc'
--- lib/lp/services/mailman/monkeypatches/lp-mhonarc-common.mrc	2012-01-03 07:15:56 +0000
+++ lib/lp/services/mailman/monkeypatches/lp-mhonarc-common.mrc	2011-11-18 05:38:25 +0000
@@ -157,7 +157,7 @@
         </div>
     </div>
     <div class="colophon">
-      &copy; 2004-2012
+      &copy; 2004-2011
       <a href="http://canonical.com/">Canonical&nbsp;Ltd.</a>
       &nbsp;&bull;&nbsp;
       <a href="https://launchpad.net/legal">Terms of use</a>

=== modified file 'lib/lp/testing/tests/test_standard_test_template.py'
--- lib/lp/testing/tests/test_standard_test_template.py	2012-01-03 07:30:21 +0000
+++ lib/lp/testing/tests/test_standard_test_template.py	2011-12-30 06:47:54 +0000
@@ -1,4 +1,4 @@
-# Copyright 2012 Canonical Ltd.  This software is licensed under the
+# Copyright 2011 Canonical Ltd.  This software is licensed under the
 # GNU Affero General Public License version 3 (see the file LICENSE).
 
 """XXX: Module docstring goes here."""

=== modified file 'lib/lp/testing/tests/test_standard_yuixhr_test_template.py'
--- lib/lp/testing/tests/test_standard_yuixhr_test_template.py	2012-01-03 07:30:21 +0000
+++ lib/lp/testing/tests/test_standard_yuixhr_test_template.py	2011-12-19 23:38:16 +0000
@@ -1,4 +1,4 @@
-# Copyright 2012 Canonical Ltd.  This software is licensed under the
+# Copyright 2011 Canonical Ltd.  This software is licensed under the
 # GNU Affero General Public License version 3 (see the file LICENSE).
 
 """{Describe your test suite here}.

=== modified file 'standard_template.py'
--- standard_template.py	2012-01-03 07:30:21 +0000
+++ standard_template.py	2011-02-02 13:19:02 +0000
@@ -1,4 +1,4 @@
-# Copyright 2012 Canonical Ltd.  This software is licensed under the
+# Copyright 2011 Canonical Ltd.  This software is licensed under the
 # GNU Affero General Public License version 3 (see the file LICENSE).
 
 """XXX: Module docstring goes here."""

=== modified file 'standard_test_template.html'
--- standard_test_template.html	2012-01-03 07:30:21 +0000
+++ standard_test_template.html	2011-09-09 14:16:28 +0000
@@ -1,5 +1,5 @@
 <!--
-Copyright 2012 Canonical Ltd.  This software is licensed under the
+Copyright 2011 Canonical Ltd.  This software is licensed under the
 GNU Affero General Public License version 3 (see the file LICENSE).
 -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

=== modified file 'standard_test_template.js'
--- standard_test_template.js	2012-01-03 07:30:21 +0000
+++ standard_test_template.js	2011-09-26 06:30:07 +0000
@@ -1,4 +1,4 @@
-/* Copyright (c) 2012, Canonical Ltd. All rights reserved. */
+/* Copyright (c) 2011, Canonical Ltd. All rights reserved. */
 YUI({
     base: '../../../../canonical/launchpad/icing/yui/',
     filter: 'raw',

=== modified file 'utilities/migrater/test_doc.py'
--- utilities/migrater/test_doc.py	2012-01-03 07:30:21 +0000
+++ utilities/migrater/test_doc.py	2011-12-20 10:00:18 +0000
@@ -1,4 +1,4 @@
-# Copyright 2012 Canonical Ltd.  This software is licensed under the
+# Copyright 2011 Canonical Ltd.  This software is licensed under the
 # GNU Affero General Public License version 3 (see the file LICENSE).
 
 """

